static const char *RcsId = "$Header: /cvsroot/tango-cs/tango/tools/pogo/templates/cpp/ClassFactory.cpp,v 3.3 2005/03/02 14:06:15 pascal_verdier Exp $";
//+=============================================================================
//
// file :        ClassFactory.cpp
//
// description : C++ source for the class_factory method of the DServer
//               device class. This method is responsible to create
//               all class singletin for a device server. It is called
//               at device server startup
//
// project :     TANGO Device Server
//
// $Author: pascal_verdier $
//
// $Revision: 3.3 $
//
// $Log: ClassFactory.cpp,v $
// Revision 3.3  2005/03/02 14:06:15  pascal_verdier
// namespace is different than class name.
//
// Revision 3.2  2004/10/25 14:12:00  pascal_verdier
// Minor changes.
//
// Revision 3.1  2004/09/06 09:27:05  pascal_verdier
// Modified for Tango 5 compatibility.
//
//
// copyleft :    European Synchrotron Radiation Facility
//               BP 220, Grenoble 38043
//               FRANCE
//
//-=============================================================================
//
//  		This file is generated by POGO
//	(Program Obviously used to Generate tango Object)
//
//         (c) - Software Engineering Group - ESRF
//=============================================================================


#include <tango.h>
#include <TemplateDevServClass.h>

/**
 *	Create TemplateDevServClass singleton and store it in DServer object.
 */

void Tango::DServer::class_factory()
{

	add_class(TemplateDevServ_ns::TemplateDevServClass::init("TemplateDevServ"));

}
